Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkCubeSource Class Reference

`#include <vtkCubeSource.h>`

Inheritance diagram for vtkCubeSource:

[legend]
Collaboration diagram for vtkCubeSource:

[legend]
List of all members.

## Detailed Description

create a polygonal representation of a cube

Date:
  2002/01/22 15:29:13

Revision:
  1.42

vtkCubeSource creates a cube centered at origin. The cube is represented with four-sided polygons. It is possible to specify the length, width, and height of the cube independently.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (73%)
  - Lorensen, Bill (6%)
  - Martin, Ken (6%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkCubeSource.cxx)`
  - .`h` (`/Graphics/vtkCubeSource.h)`

Examples:
  vtkCubeSource (Examples)

Tests:
  vtkCubeSource (Tests)

Definition at line 50 of file vtkCubeSource.h.

## Public Types
typedef vtkPolyDataSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetXLength (float)
virtual float | GetXLength ()
virtual void | SetYLength (float)
virtual float | GetYLength ()
virtual void | SetZLength (float)
virtual float | GetZLength ()
virtual void | SetCenter (float, float, float)
virtual void | SetCenter (float[3])
virtual float * | GetCenter ()
virtual void | GetCenter (float data[3])
void | SetBounds (float xMin, float xMax, float yMin, float yMax, float zMin, float zMax)
void | SetBounds (float bounds[6])
## Static Public Methods
vtkCubeSource * | New ()
int | IsTypeOf (const char *type)
vtkCubeSource * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkCubeSource (float xL=1.0, float yL=1.0, float zL=1.0)
| ~vtkCubeSource ()
void | Execute ()
## Protected Attributes
float | XLength
float | YLength
float | ZLength
float | Center [3]

## Member Typedef Documentation

typedef vtkPolyDataSource vtkCubeSource::Superclass

| Reimplemented from vtkPolyDataSource. Definition at line 54 of file vtkCubeSource.h.

## Constructor & Destructor Documentation

vtkCubeSource::vtkCubeSource | ( | float | xL = 1.0,
|  | float | yL = 1.0,
|  | float | zL = 1.0
| ) | `[protected]`

vtkCubeSource::~vtkCubeSource | ( |  | ) | `[inline, protected]`

| Definition at line 93 of file vtkCubeSource.h.

## Member Function Documentation

vtkCubeSource* vtkCubeSource::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkCubeSource::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataSource.

int vtkCubeSource::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

virtual int vtkCubeSource::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

vtkCubeSource* vtkCubeSource::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataSource.

void vtkCubeSource::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataSource.

virtual void vtkCubeSource::SetXLength | ( | float |  | ) | `[virtual]`

| Set the length of the cube in the x-direction.

virtual float vtkCubeSource::GetXLength | ( |  | ) | `[virtual]`

| Set the length of the cube in the x-direction.

virtual void vtkCubeSource::SetYLength | ( | float |  | ) | `[virtual]`

| Set the length of the cube in the y-direction.

virtual float vtkCubeSource::GetYLength | ( |  | ) | `[virtual]`

| Set the length of the cube in the y-direction.

virtual void vtkCubeSource::SetZLength | ( | float |  | ) | `[virtual]`

| Set the length of the cube in the z-direction.

virtual float vtkCubeSource::GetZLength | ( |  | ) | `[virtual]`

| Set the length of the cube in the z-direction.

virtual void vtkCubeSource::SetCenter | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set the center of the cube.

virtual void vtkCubeSource::SetCenter | ( | float | [3] | ) | `[virtual]`

| Set the center of the cube.

virtual float* vtkCubeSource::GetCenter | ( |  | ) | `[virtual]`

| Set the center of the cube.

virtual void vtkCubeSource::GetCenter | ( | float | data[3] | ) | `[virtual]`

| Set the center of the cube.

void vtkCubeSource::SetBounds | ( | float | xMin,
|  | float | xMax,
|  | float | yMin,
|  | float | yMax,
|  | float | zMin,
|  | float | zMax
| ) |

| Convenience method allows creation of cube by specifying bounding box.

void vtkCubeSource::SetBounds | ( | float | bounds[6] | ) |

| Convenience method allows creation of cube by specifying bounding box.

void vtkCubeSource::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

float vtkCubeSource::XLength`[protected]`

| Definition at line 96 of file vtkCubeSource.h.

float vtkCubeSource::YLength`[protected]`

| Definition at line 97 of file vtkCubeSource.h.

float vtkCubeSource::ZLength`[protected]`

| Definition at line 98 of file vtkCubeSource.h.

float vtkCubeSource::Center[3]`[protected]`

| Definition at line 99 of file vtkCubeSource.h.

The documentation for this class was generated from the following file:

- Graphics/vtkCubeSource.h